Support » Plugin: AMP » Updated Plugin Error Message idn_to_utf8():INTL_IDNA_VARIANT_2003 is depcrecated

  • Resolved og123

    (@og123)


    Deprecated: idn_to_utf8():INTL_IDNA_VARIANT_2003 is depcrecated in wp-content/plugin/amp/includes/class-amp.php on line 233

    I am running the latest version of the Plugin which is 1.4.4

    Due to this error I now also get a message saying A plugin or theme has disabled AMP support.

    This means I can no longer have any new posts with AMP. I am running PHP 7.2
    Can you kindly help?

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Support James Osborne

    (@jamesosborne)

    @og123 This came up previously, you can visit the previous support topic here.

    Can you let me know if the suggestions in that support topic work for you?

    Plugin Author Pascal Birchler

    (@swissspidy)

    Also, to clarify: the “A plugin or theme has disabled AMP support” message has nothing to do with that “Deprecated” warning.

    It literally means a plugin or theme has disabled AMP support. It’s not an issue with the AMP plugin itself. Go through your active plugins and disable them one by one to see whether this message is still displayed. Also try switching themes to see if that makes a difference. If so, then you found the plugin/theme responsible for this and you should reach out to the respective developers.

    Thanks. Using the code resolved the issue. However, I now need to locate the plugin that stopped AMP from working. This only happened after I updated to the latest version. I have just tried turning off all plugins and changed theme. However, I still have the issue. AMP is turned on, but when I publish post, it gives messaging saying a plugin or theme switched it off.

    • This reply was modified 1 month, 1 week ago by og123.
    Plugin Support James Osborne

    (@jamesosborne)

    @og123 If you’re able to pinpoint the plugin it would be useful to know. Feel free to share your Site Health information, we might be able to identify it.

    og123

    (@og123)

    Thanks guy. I’ve know manages to fix this. I used went through everything again and deactivated all plugins and the theme. You guys are the best

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.